This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 40551 - Default setup is not working with PNP ISA-PCMCIA bridge
Default setup is not working with PNP ISA-PCMCIA bridge
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-14 09:56 EDT by Aleksey Nogin
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-16 01:18:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/proc/isapnp (after all devices are activated) (3.21 KB, text/plain)
2001-05-16 01:12 EDT, Aleksey Nogin
no flags Details
isapnp.conf - notice that I only have to deal with PCMCIA hardware, the sound hardware is taken care of by the kernel. (812 bytes, text/plain)
2001-05-16 01:14 EDT, Aleksey Nogin
no flags Details

  None (edit)
Description Aleksey Nogin 2001-05-14 09:56:22 EDT
Description of Problem:
Default setup fails to recognise the Plug-and-Play ISA-to-PCMCIA brigde I
have (Linksys PCMRDWR).

How Reproducible:
Always

Steps to Reproduce:
1. Install Linksys PCMRDWR hardware
2. Set 
PCMCIA=yes
PCIC=i82365
in /etc/sysconfig/pcmcia
3. Reboot the machine.

Actual Results:
/proc/isapnp would show the device as inactive and pcmcia would log:
Linux PCMCIA Card Services 3.1.22
  options:  [pci] [cardbus] [pm]
Intel PCIC probe: not found.

Expected Results:
Pcmcia would recognize that device is present and activate and use it.

Additional Information:
If I activate the device using isapnp, then pcmcia starts and works fine.
Of course, rc.sysconfig would not start isapnp because /proc/isapnp is
present, so I ended up
a) Disabling the /proc/isapnp check in rc.sysconfig, so that isapnp would
be ran even when it is present
b) Putting only the Linksys card config into /etc/isapnp.conf and letting
rc.sysconfig deal with the sound card (which works fine even without
running isapnp).
Comment 1 Aleksey Nogin 2001-05-15 22:04:04 EDT
See also bug #35111 for another discussion of PNP issues in RedHat 7.1
Comment 2 Bill Nottingham 2001-05-15 22:06:17 EDT
What does your /proc/isapnp look like?

In theory, we could add isapnp support to the i82365 driver.
Comment 3 Aleksey Nogin 2001-05-16 01:12:16 EDT
Created attachment 18570 [details]
/proc/isapnp (after all devices are activated)
Comment 4 Aleksey Nogin 2001-05-16 01:14:52 EDT
Created attachment 18571 [details]
isapnp.conf - notice that I only have to deal with PCMCIA hardware, the sound hardware is taken care of by the kernel.
Comment 5 Aleksey Nogin 2001-05-16 01:18:10 EDT
Yes, I agree that the best long-term solution is to have PNP support in the
appropriate driver.
Comment 6 Aleksey Nogin 2001-08-21 11:29:47 EDT
I no longer see this problem in Roswell2 (RC1) - it seems that in 2.4.7-2 the
PCMCIA modules are capable of doing isapnp properly without any need for
user-space isapnp tool.

Note You need to log in before you can comment on or make changes to this bug.